gs-caption(1)

NAME
gs-caption - generates a caption image with given text using a configurable font

SYNOPSIS
gs-caption output_filename caption_width caption_height caption_text
[-F font | - -font-name font]
[-S percentage | - -font-size percentage]
[-f color | - -foreground color]
[-b color | - -background color]
[-t percentage | - -transparency percentage]
[-q | - -quiet] [-w | - -verbose]
gs-caption [-h | - -help]
gs-caption [-v | - -version]

DESCRIPTION
gs-caption runs GIMP to generate a caption image with given text using a specific font. The foreground and background color, transparency, font, and font size are configurable.

ARGUMENTS
The following options are available:

output_filename
    The name for the output image to be written. Any format supported by GIMP can be used. The format will be detected by the provided file name extension (e.g. .jpeg, .png, .webp, .pdf, ...). An existing output file will be overwritten.

caption_width
    The width of the image to be generated.

caption_height
    The height of the image to be generated.

caption_text
    The caption text.

-F font | - -font-name font
    Specifies the font and style to be used. Font and style are space separated, e.g. "URW Gothic Book Oblique" for font "URW Gothic" in style "URW Gothic Book Oblique". The available font/style combinations can be listed with gs-list-fonts(1).

-S percentage | - -font-size percentage
    Specifies the font size, in percentage of the caption height. Range: 1-100. Default: 50.

-f color | - -foreground color
    Specifies the foreground color, as "#RRGGBB" in hexadecimal. Default: "#02266b" (dark blue).

-b color | - -background color
    Specifies the background color, as "#RRGGBB" in hexadecimal. Default: "#ffd700" (gold).

-t percentage | - -transparency percentage
    Specifies the transparency of the caption box in percent. Range: 0-100. Default: 25.

-q | - -quiet
    Quiet mode: suppress GIMP console output. This is the default.

-w | - -verbose
    Verbose mode: print GIMP console output and processing details.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The gs-caption tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

gs-caption Caption1.png 1024 42 "Test!"

gs-caption Caption2.png 1024 42 "This is a test!" --font-name "Noto Sans Bold" --font-size 70 --foreground "#02266b" --background "#ffd7cc" --transparency 50

gs-caption Caption3.png 1920 64 "Another test!" -F "Lobster Two Bold Italic" -S 70 -f "#02266b" -b "#ffd700" -t 26

gs-caption --help

gs-caption -h

gs-caption --version

gs-caption -v

SEE ALSO
gs-bumpmap(1), gs-clothify(1), gs-glossytext(1), gs-list-fonts(1), gs-mosaic(1), gs-oilify(1), gs-oldphoto(1), gs-resize-with-cropping(1), gs-test-gimp(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh